summaryrefslogtreecommitdiffstats
path: root/initscript/Debian/75avahi
diff options
context:
space:
mode:
authorSebastien Estienne <sebastien.estienne@gmail.com>2005-07-06 16:19:41 +0000
committerSebastien Estienne <sebastien.estienne@gmail.com>2005-07-06 16:19:41 +0000
commitb1e07e8d002b0078a3b56a22979f47bcccf73306 (patch)
tree54c84618a797828bb9a856b7785f1451a81136fe /initscript/Debian/75avahi
parentaaa1c563f5f89f3f1e333a031cf71056fdc50e5e (diff)
renamed avahi to avahi-daemon
git-svn-id: file:///home/lennart/svn/public/avahi/trunk@166 941a03a8-eaeb-0310-b9a0-b1bbd8fe43fe
Diffstat (limited to 'initscript/Debian/75avahi')
-rwxr-xr-xinitscript/Debian/75avahi121
1 files changed, 0 insertions, 121 deletions
diff --git a/initscript/Debian/75avahi b/initscript/Debian/75avahi
deleted file mode 100755
index 00d8fb6..0000000
--- a/initscript/Debian/75avahi
+++ /dev/null
@@ -1,121 +0,0 @@
-#! /bin/sh
-#
-# avahi avahi daemon
-# Daemon for ZeroConf
-#
-# Authors: <sebastien.estienne@gmail.com>
-#
-
-if [ -f /lib/lsb/init-functions ]
-then
- . /lib/lsb/init-functions
-else
- # int log_begin_message (char *message)
- log_begin_msg () {
- if [ -z "$1" ]; then
- return 1
- fi
- echo " * $@"
- }
-
- # int log_end_message (int exitstatus)
- log_end_msg () {
-
- # If no arguments were passed, return
- [ -z "$1" ] && return 1
-
- # Only do the fancy stuff if we have an appropriate terminal
- # and if /usr is already mounted
- TPUT=/usr/bin/tput
- EXPR=/usr/bin/expr
- if [ -x $TPUT ] && [ -x $EXPR ] && $TPUT hpa 60 >/dev/null 2>&1; then
- COLS=`$TPUT cols`
- if [ -n "$COLS" ]; then
- COL=`$EXPR $COLS - 7`
- else
- COL=73
- fi
- UP=`$TPUT cuu1`
- END=`$TPUT hpa $COL`
- START=`$TPUT hpa 0`
- RED=`$TPUT setaf 1`
- NORMAL=`$TPUT op`
- if [ $1 -eq 0 ]; then
- echo "$UP$END[ ok ]"
- else
- echo -e "$UP$START $RED*$NORMAL$END[${RED}fail${NORMAL}]"
- fi
- else
- if [ $1 -eq 0 ]; then
- echo " ...done."
- else
- echo " ...fail!"
- fi
- fi
- return $1
- }
-
-fi
-
-#set -e
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-DESC="Avahi ZeroConf daemon"
-NAME="avahi"
-DAEMON=/usr/bin/$NAME
-
-# Gracefully exit if the package has been removed.
-test -x $DAEMON || exit 0
-
-#
-# Function that starts the daemon/service.
-#
-d_start() {
- $DAEMON -D
-}
-
-#
-# Function that stops the daemon/service.
-#
-d_stop() {
- $DAEMON -k || /bin/true
-}
-
-#
-# Function that reload the config file for the daemon/service.
-#
-d_reload() {
- $DAEMON -r
-}
-
-
-case "$1" in
- start)
- log_begin_msg "Starting $DESC: $NAME"
- d_start
- log_end_msg $?
- ;;
- stop)
- log_begin_msg "Stopping $DESC: $NAME"
- d_stop
- log_end_msg $?
- ;;
- reload)
- log_begin_msg "Reloading config file for $DESC: $NAME"
- d_reload
- log_end_msg $?
- ;;
- restart|force-reload)
- log_begin_msg "Restarting $DESC: $NAME"
- d_stop
- sleep 1
- d_start
- log_end_msg $?
- ;;
- *)
- echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|reload}" >&2
- exit 1
- ;;
-esac
-
-exit 0